from textual.app import ComposeResult
from textual.containers import Grid
from textual.screen import ModalScreen
from textual.widgets import Button, Label

from ..path_row import PathRow


class PathRowInfoModal(ModalScreen):  # type: ignore
    """Modal dialog `Screen` to show path row information."""

    def __init__(self, path_row: PathRow) -> None:
        self.path_row = path_row
        super().__init__()

    def compose(self) -> ComposeResult:
        yield Grid(
            Label(
                f"{self.path_row.path.absolute()}",
                id="question",
            ),
            Button("Disable", variant="error", id="disable"),
            Button("Cancel", variant="primary", id="no"),
            id="dialog-path-info",
        )

    def on_button_pressed(self) -> None:
        self.app.pop_screen()
